<%= simple_form_for @tools_task, method: :patch do |f| %>
  <%= f.simple_fields_for(:efficacity) do |efficacity_form| %>
    <% Tools::Efficacity.check_statuses.keys.each do |check_status| %>
      <%= efficacity_form.radio_button :check_status, check_status %>
      <%= efficacity_form.label 'check_status_'+check_status,
                                t(check_status, scope: ['simple_form', 'options', 'tools_task', 'efficacity', 'check_status']),
                                class: "color-status-#{check_status}" %>
    <% end %>
  <% end %>
  <a href="#" id='valid-task-efficacity' class='btn btn-outline-dark'>valid</a>
<% end %>

<script text="javascript">
  $(function(){
    $('#valid-task-efficacity').on('click', function(){
      value_selected = $('input[name="tools_task[efficacity_attributes][check_status]"]:checked', '#edit_tools_task_<%= @tools_task.id %>').val()

      let url = "<%= tools_task_path(@tools_task) %>"
      let datas = {};
      datas = {'tools_task': { 'efficacity_attributes': {'id': <%= @tools_task&.efficacity&.id %>, 'check_status': value_selected} } }
      // console.log(datas);

      $.ajax({
        url: url,
        type: 'PATCH',
        data: datas,
        beforeSend: function(xhr) {xhr.setRequestHeader('X-CSRF-Token', $('meta[name="csrf-token"]').attr('content'));},
      });

      return false;
    });
  })
</script>
